Big Blue Button Browser Requirements

For Big Blue Button, especially for the moderator to use presentations etc it is recommended to use the latest versions of either Chrome or Firefox. Safari will not work, also older versions of Edge will not work.